Loading...
Searching...
No Matches
limits.h File Reference
`#include "platform.h"`
`#include "integral_limits.h"`
`#include "type_traits.h"`
`#include <float.h>`
`#include <limits.h>`
`#include <math.h>`
`#include "private/minmax_push.h"`
`#include <limits>`
`#include "private/diagnostic_deprecated_push.h"`
`#include "private/diagnostic_pop.h"`
`#include "private/minmax_pop.h"`

Go to the source code of this file.

## Classes

class | etl::numeric_limits< T >

## Namespaces

namespace | etl

## Enumerations

enum | float_round_style { round_indeterminate = std::round_indeterminate , round_toward_zero = std::round_toward_zero , round_to_nearest = std::round_to_nearest , round_toward_infinity = std::round_toward_infinity , round_toward_neg_infinity = std::round_toward_neg_infinity }
enum | float_denorm_style { denorm_indeterminate = std::denorm_indeterminate , denorm_absent = std::denorm_absent , denorm_present = std::denorm_present }